/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package Classes;

import Interface.JFPrincipal;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author Vitor
 */
public class ChatReceber extends Thread {
    
    Processo proc;
    JFPrincipal pai;
    private boolean flag;
    private int porta;
    private ServerSocket servidor;
    private Socket conexao;
    private ObjectInputStream entrada;
    
    public ChatReceber(Processo proc, JFPrincipal pai, int porta) throws IOException {
        this.proc = proc;
        this.pai = pai;
        flag = true;
        this.porta = porta;
        servidor = new ServerSocket(porta+1);        
    }
   
    public void setFlag(boolean flag) {
        this.flag = flag;
    }
   
    @Override
    public void run() {
        try {
            conexao = servidor.accept();
            entrada = new ObjectInputStream(conexao.getInputStream());
            Mensagem msg = new Mensagem();
            
            do {
                try {
                    msg = (Mensagem) entrada.readObject();
                } catch (Exception ex) {
                    Logger.getLogger(ChatReceber.class.getName()).log(Level.SEVERE, null, ex);
                }
                if (msg.codigo == 666) {
                    pai.enviarChat(msg.getConteudo());
                }
            } while (flag);
        } catch (IOException ex) {
            Logger.getLogger(ChatReceber.class.getName()).log(Level.SEVERE, null, ex);
        }
    }
    
}
