/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package Classes;

import java.util.ArrayList;


//  Jogador IA fácil. Envia a primeira carta que tiver na mão. Aceita ou recusa truco aleatoriamente.

/**
 *
 * @author Vitor
 */
public class JogadorIAFacil  extends IA implements Jogador {

    private String nome;
    private ArrayList<String> cartas;
    private int pontuacao;

    public JogadorIAFacil(String nome) {
        this.nome = nome;
        this.cartas = new ArrayList<String>();
        pontuacao = 0;        
    }
    
    
    @Override
    public String getJogada(Processo proc) {
        return retorno(cartas.get(0));
    }
    
    //  Remove o membro do array e retorna o valor.
    public String retorno(String c) {
            cartas.remove(c);
            return c;
    }
    
    @Override
    public ArrayList<String> getCartas() {
        return cartas;
    }

    @Override
    public void limparCartas() {
        cartas.clear();
    }

    @Override
    public void addCartas(String carta) {
        this.cartas.add(carta);
        //this.cartas = cartas.clone();
    }

    @Override
    public String getNome() {
        return nome;
    }

    @Override
    public void setNome(String nome) {
        this.nome = nome;
    }

    @Override
    public int getPontuacao() {
        return pontuacao;
    }

    @Override
    public void incPontuacao(int pontuacao) {
        this.pontuacao += pontuacao;
    }

    @Override
    public void setPontuacao(int pontuacao) {
        this.pontuacao = pontuacao;
    }

    @Override
    public int getTrucoResp() {        
        return (int)(2*Math.random());
    }
}
