/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package Classes;

import java.util.ArrayList;

//  Jogador IA Médio. Envia as cartas mais fortes primeiro. Aceita ou recusa truco aleatoriamente.

/**
 *
 * @author Vitor
 */
public class JogadorIAMedio  extends IA implements Jogador {

    private String nome;
    private ArrayList<String> cartas;
    private int pontuacao;

    public JogadorIAMedio(String nome) {
        this.nome = nome;
        this.cartas = new ArrayList<String>();
        pontuacao = 0;        
    }
    
    public String getJogada(Processo proc) {
       
        int ind = cartas.size();
        int v[] = {0, 0, 0};
        
        for(int i = 0; i < ind; i++) {
            v[i] = ((JogoContraIA)proc).valorDaCarta(cartas.get(i));
        }

        if(ind == 1) return retorno(cartas.get(0));
                
        else if (ind == 2) {
            if(v[0] > v[1]) return retorno(cartas.get(0));
            else return retorno(cartas.get(1));
        }
        else {
            if((v[0] > v[1])&&(v[0] > v[2])) return retorno(cartas.get(0));
            else if (v[1] > v[2]) return retorno(cartas.get(1));
            else return retorno(cartas.get(2));
        }
    }
    
    //  Remove o membro do array e retorna o valor.
    public String retorno(String c) {
            cartas.remove(c);
            return c;
    }
    
    @Override
    public ArrayList<String> getCartas() {
        return cartas;
    }

    @Override
    public void limparCartas() {
        cartas.clear();
    }

    @Override
    public void addCartas(String carta) {
        this.cartas.add(carta);
        //this.cartas = cartas.clone();
    }

    @Override
    public String getNome() {
        return nome;
    }

    @Override
    public void setNome(String nome) {
        this.nome = nome;
    }

    @Override
    public int getPontuacao() {
        return pontuacao;
    }

    @Override
    public void incPontuacao(int pontuacao) {
        this.pontuacao += pontuacao;
    }

    @Override
    public void setPontuacao(int pontuacao) {
        this.pontuacao = pontuacao;
    }

    @Override
    public int getTrucoResp() {        
        return (int)(2*Math.random());
    }
}
