package Classes;

import java.io.Serializable;

public class Mensagem implements Serializable { 
    
    public int codigo;
    public String conteudo;
    public int[] rodada;

    public Mensagem(){
    }
    public Mensagem(int codigo) {
        this.codigo = codigo;
    }
    public Mensagem(String mensagem) {
        this.conteudo = mensagem;
    }
    public Mensagem(int codigo, String mensagem) {
        this.codigo = codigo;
        this.conteudo = mensagem;
    }
    
    public Mensagem(int codigo, String mensagem, int[] rodada) {
        this.codigo = codigo;
        this.conteudo = mensagem;
        this.rodada = rodada;
    }

    public int[] getRodada() {
        return rodada;
    }

    public void setRodada(int[] rodada) {
        this.rodada = rodada;
    }
    
    public int getCodigo() {
        return codigo;
    }

    public void setCodigo(int codigo) {
        this.codigo = codigo;
    }

    public String getConteudo() {
        return conteudo;
    }

    public void setConteudo(String mensagem) {
        this.conteudo = mensagem;
    }
    
}
